# azure.mgmt.resource.resources.v2017_05_10 package

## Submodules

- azure.mgmt.resource.resources.v2017_05_10.models module
- azure.mgmt.resource.resources.v2017_05_10.operations module

## Module contents

class `azure.mgmt.resource.resources.v2017_05_10.``ResourceManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Provides operations for working with resources and resource groups.

  Variables:

  - config (ResourceManagementClientConfiguration) – Configuration for client.
  - deployments (azure.mgmt.resource.resources.v2017_05_10.operations.DeploymentsOperations) – Deployments operations
  - providers (azure.mgmt.resource.resources.v2017_05_10.operations.ProvidersOperations) – Providers operations
  - resources (azure.mgmt.resource.resources.v2017_05_10.operations.ResourcesOperations) – Resources operations
  - resource_groups (azure.mgmt.resource.resources.v2017_05_10.operations.ResourceGroupsOperations) – ResourceGroups operations
  - tags (azure.mgmt.resource.resources.v2017_05_10.operations.TagsOperations) – Tags operations
  - deployment_operations (azure.mgmt.resource.resources.v2017_05_10.operations.DeploymentOperations) – DeploymentOperations operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The ID of the target subscription.
  - base_url (str) – Service URL

class `azure.mgmt.resource.resources.v2017_05_10.``ResourceManagementClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for ResourceManagementClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The ID of the target subscription.
  - base_url (str) – Service URL